% Cross-Entropy Optimisation Toolbox
% Version 2.0.1 [2018.02.04]
% Dev. by: Group of advanced Automation of Machines, Highly complex
%          processes and Environments
%          Centre for Automation and Robotics, Madrid (Spain)
%          http://www.gamhe.eu
%
%          Study Centre for Advanced and Sustainable Manufacturing
%          University of Matanzas, Matanzas (Cuba)
%          http://cefas.umcc.cu
%          
% Basic functions
%   soce     Single-objective cross-entropy optimization
%   moce     Multi-objective cross-entropy optimization
%   ceoptdef Sets the options for the cross-entropy method
%  
% Pareto front metrics
%   truepf   True Pareto front for selected standard test problem
%   pfm_ha   Hyperarea (2 objectives)
%   pfm_hv   Hypervolume (3 or more objectives)
%   pfm_hr   Hyperarea or hypervolume ratio
%
% Auxiliary function
%   prank    Pareto ranking
%   randnt   Normally distributed truncated pseudorandom numbers
%
% Examples
%   ceej01   Sample 01 (1-objective 1-variable unconstrained)
%   ceej02   Sample 02 (1-objective 2-variables unconstrained)
%   ceej03   Sample 03 (1-objective 2-variables 2-constraints)
%   ceej11   Sample 11 (2-objectives 1-variable unconstrained)
%   ceej12   Sample 12 (2-objectives 3-variables unconstrained)
%   ceej13   Sample 13 (2-objectives 2-variables 1-constraint)
