% CEEJ01 Example of the application of the cross-entropy method for single-
%    objective optimization (single decision variable, unconstrained).
%
%   Objective function: f(x) = 1 - exp(-(x - 2)^2) - 0.8*exp(-(x + 2)^2)
%   Decision variable:   -50 <= x <= 50
%   Unconstrained
%
%   Cross-Entropy Optimisation Toolbox
%   (c) 2018, GAMHE <http://www.gamhe.eu> and CEFAS <http://cefas.umcc.cu>
%

% Clearing workspace and console
clear all; clc;

% Setting options
options = ceoptdef('ConvergenceLimit', 0.000001, ...
                   'Display', 'iter');

% Defining objective function
f = @(x)(1 - exp(-(x - 2).^2) - 0.8.*exp(-(x + 2).^2));

% Defining variable limits
l = -50; u = 50;
% 
% Applying the optimization method
[X_opt, y_opt] = soce(f, l, u, options);

